Output data to inlets/outlets
Flext in-/outlet functions

## Functions

void | flext_base::ToOutBang (int n) const
| Output bang (index n starts with 0) More...
void | flext_base::ToOutFloat (int n, float f) const
| Output float (index n starts with 0) More...
void | flext_base::ToOutInt (int n, int f) const
| Output integer (index n starts with 0) More...
void | flext_base::ToOutBool (int n, bool f) const
| Output boolean (index n starts with 0) More...
void | flext_base::ToOutDouble (int n, double d) const
| Output double (index n starts with 0) More...
void | flext_base::ToOutSymbol (int n, const t_symbol *s) const
| Output symbol (index n starts with 0) More...
void | flext_base::ToOutString (int n, const char *s) const
| Output string aka symbol (index n starts with 0) More...
void | flext_base::ToOutAtom (int n, const t_atom &at) const
| Output atom (index n starts with 0) More...
void | flext_base::ToOutList (int n, int argc, const t_atom *argv) const
| Output list (index n starts with 0) More...
void | flext_base::ToOutList (int n, const AtomList &list) const
| Output list (index n starts with 0) More...
void | flext_base::ToOutAnything (int n, const t_symbol *s, int argc, const t_atom *argv) const
| Output anything (index n starts with 0) More...
void | flext_base::ToOutAnything (int n, const AtomAnything &any) const
| Output anything (index n starts with 0) More...
void | flext_base::ToOutAnything (int n, const t_symbol *s, const AtomList &list) const
| Output anything (index n starts with 0) More...

## Detailed Description

## Function Documentation

## ToOutAnything() [1/3]

void flext_base::ToOutAnything | ( | int | n,
|  | const AtomAnything & | any
| ) |  | const

inline

Output anything (index n starts with 0)

## ToOutAnything() [2/3]

void flext_base::ToOutAnything | ( | int | n,
|  | const t_symbol * | s,
|  | const AtomList & | list
| ) |  | const

inline

Output anything (index n starts with 0)

## ToOutAnything() [3/3]

void flext_base::ToOutAnything | ( | int | n,
|  | const t_symbol * | s,
|  | int | argc,
|  | const t_atom * | argv
| ) |  | const

Output anything (index n starts with 0)

## ToOutAtom()

void flext_base::ToOutAtom | ( | int | n,
|  | const t_atom & | at
| ) |  | const

Output atom (index n starts with 0)

## ToOutBang()

void flext_base::ToOutBang | ( | int | n | ) | const

Output bang (index n starts with 0)

## ToOutBool()

void flext_base::ToOutBool | ( | int | n,
|  | bool | f
| ) |  | const

inline

Output boolean (index n starts with 0)

## ToOutDouble()

void flext_base::ToOutDouble | ( | int | n,
|  | double | d
| ) |  | const

inline

Output double (index n starts with 0)

## ToOutFloat()

void flext_base::ToOutFloat | ( | int | n,
|  | float | f
| ) |  | const

Output float (index n starts with 0)

## ToOutInt()

void flext_base::ToOutInt | ( | int | n,
|  | int | f
| ) |  | const

Output integer (index n starts with 0)

## ToOutList() [1/2]

void flext_base::ToOutList | ( | int | n,
|  | const AtomList & | list
| ) |  | const

inline

Output list (index n starts with 0)

## ToOutList() [2/2]

void flext_base::ToOutList | ( | int | n,
|  | int | argc,
|  | const t_atom * | argv
| ) |  | const

Output list (index n starts with 0)

## ToOutString()

void flext_base::ToOutString | ( | int | n,
|  | const char * | s
| ) |  | const

inline

Output string aka symbol (index n starts with 0)

## ToOutSymbol()

void flext_base::ToOutSymbol | ( | int | n,
|  | const t_symbol * | s
| ) |  | const

Output symbol (index n starts with 0)